curl --request GET \
--url https://test.deribit.com/api/v2/public/get_index_price_names \
--header 'Content-Type: application/json' \
--data '
{
"jsonrpc": "2.0",
"id": 1,
"method": "public/get_index_price_names",
"params": {
"extended": true
}
}
'import requests
url = "https://test.deribit.com/api/v2/public/get_index_price_names"
payload = {
"jsonrpc": "2.0",
"id": 1,
"method": "public/get_index_price_names",
"params": { "extended": True }
}
headers = {"Content-Type": "application/json"}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
jsonrpc: '2.0',
id: 1,
method: 'public/get_index_price_names',
params: {extended: true}
})
};
fetch('https://test.deribit.com/api/v2/public/get_index_price_names', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jsonrpc": "2.0",
"id": 25718,
"result": [
"btc_eth",
"btc_usdc",
"eth_usdc"
]
}public/get_index_price_names
Retrieves the identifiers (names) of all supported price indexes. Price indexes are reference prices used for mark price calculations, settlement, and other market operations.
When the extended parameter is set to true, the response includes additional information such as whether future combo creation and option combo creation are enabled for each index.
Query Parameters
When set to true, returns additional information including future_combo_creation_enabled and option_combo_creation_enabled for each index
true
Response
Success response
The JSON-RPC version (2.0)
2.0 Hide child attributes
Hide child attributes
Index name
Whether future combo creation is enabled for this index (only present when extended=true)
Whether option combo creation is enabled for this index (only present when extended=true)
The id that was sent in the request
Was this page helpful?